curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"name":"like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
Empty body
// Maximum reaction types for this message reached (20).
{
"errors": [
"This message has reached the maximum number of allowed reaction types (20). No additional reaction types can be added."
]
}
// Maximum reactions per message reached (20).
{
"errors": [
"You have reached the maximum number of reactions (20) allowed per message."
]
}
// Missing or invalid "name" parameter.
{
"errors": [
"Invalid or missing \"name\" parameter."
]
}
// Missing or invalid "message_id" parameter.
{
"errors": [
"Invalid or missing \"message_id\" parameter."
]
}
{
"errors": [
"You don't have appropriate permissions to perform this operation"
]
}
{
"errors": [
"Message not found for the specified user and message ID."
]
}
{
"errors": [
"Reactions are not allowed in public dialogs."
]
}
Chat
Add Reaction
Add a reaction to a message.
Added in v2.58.0
POST
/
chat
/
Message
/
{chat_message_id}
/
reactions
curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"name":"like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
Empty body
// Maximum reaction types for this message reached (20).
{
"errors": [
"This message has reached the maximum number of allowed reaction types (20). No additional reaction types can be added."
]
}
// Maximum reactions per message reached (20).
{
"errors": [
"You have reached the maximum number of reactions (20) allowed per message."
]
}
// Missing or invalid "name" parameter.
{
"errors": [
"Invalid or missing \"name\" parameter."
]
}
// Missing or invalid "message_id" parameter.
{
"errors": [
"Invalid or missing \"message_id\" parameter."
]
}
{
"errors": [
"You don't have appropriate permissions to perform this operation"
]
}
{
"errors": [
"Message not found for the specified user and message ID."
]
}
{
"errors": [
"Reactions are not allowed in public dialogs."
]
}
Recipes
Add a reaction to message
Add a reaction to message
1
1. Set the message ID
Provide the
message_id of the message you want to react to.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
-d '{
"name": "like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
2
2. Set the reaction type
Provide a valid
name of the reaction, such as "like", "love", or "haha".curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
-d '{
"name": "like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
3
3. As a result, the API returns a '200 OK' status code, indicating that the reaction was added.
curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
-d '{
"name": "like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
Add a reaction to message with API key
Add a reaction to message with API key
1
1. Use 'Authorization' header to pass API key
curl -X GET \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"name": "like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
2
2. Use 'On-Behalf-Of' header to pass user id
curl -X GET \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"name": "like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
3
3. Set the message ID
Provide the
message_id of the message you want to react to.curl -X POST \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"name": "like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
4
4. Set the reaction type
Provide a valid
name of the reaction, such as "like", "love", or "haha".curl -X POST \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"name": "like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
5
5. As a result, the API returns a '200 OK' status code, indicating that the reaction was added.
curl -X POST \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"name": "like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
- Per User Per Message: A user can add up to 20 different reactions to a single message.
- Per Message (All Users): A message can have up to 20 distinct reaction types total.
type=1 (PUBLIC) dialog.
If you attempt to add a reaction to a message in a type=1 (PUBLIC) dialog, the request will fail with an error.
Path Parameters
string
required
ID of the message. Generated automatically by the server after message creation.
Body Parameters
string
required
The type of reaction to add.
Examples:
"like", "love", "haha", "angry".Headers
string
required
A user session token. See Authentication page to learn more about session tokens. Must be used either QB-Token or Authorization.
string
default:"ApiKey {your_api_key}"
API key from Dashboard. Expected format:
ApiKey {your_api_key}. Must be used either QB-Token or Authorization.string
User ID. The user ID of the user on whose behalf the request is being made.
Responses
200
200
Reaction successfully added
400
400
An error response
array of strings
403
403
An error response
array of strings
404
404
An error response
array of strings
422
422
An error response
array of strings
curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"name":"like"
}' \
https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
Empty body
// Maximum reaction types for this message reached (20).
{
"errors": [
"This message has reached the maximum number of allowed reaction types (20). No additional reaction types can be added."
]
}
// Maximum reactions per message reached (20).
{
"errors": [
"You have reached the maximum number of reactions (20) allowed per message."
]
}
// Missing or invalid "name" parameter.
{
"errors": [
"Invalid or missing \"name\" parameter."
]
}
// Missing or invalid "message_id" parameter.
{
"errors": [
"Invalid or missing \"message_id\" parameter."
]
}
{
"errors": [
"You don't have appropriate permissions to perform this operation"
]
}
{
"errors": [
"Message not found for the specified user and message ID."
]
}
{
"errors": [
"Reactions are not allowed in public dialogs."
]
}
Was this page helpful?